from corsheaders.signals import check_request_enabled

# List of endpoint open to any cross origin request
OPEN_CORS_API = (
    ("api", "folder-manifest"),
    ("api", "element-annotation-list"),
)


def cors_allow_any_origin(sender, request, **kwargs):
    route_match = request.resolver_match
    if route_match is None:
        return False
    return (route_match.namespace, route_match.url_name) in OPEN_CORS_API


check_request_enabled.connect(cors_allow_any_origin)
