# Generated by Django 4.1.7 on 2023-06-27 13:21

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("process", "0006_remove_process_workflow"),
    ]

    operations = [
        # Remove the implicit LIKE index on Repository.hook_token and make the unique constraint explicit
        # We do the dropping and renaming ourselves, instead of letting Django unnecessarily drop and re-create the constraint.
        migrations.RunSQL(
            [
                "DROP INDEX process_repository_hook_token_7616df85_like;",
                "ALTER TABLE process_repository RENAME CONSTRAINT process_repository_hook_token_key TO unique_repository_hook_token;",
            ],
            reverse_sql=[
                "ALTER TABLE process_repository RENAME CONSTRAINT unique_repository_hook_token TO process_repository_hook_token_key;",
                "CREATE INDEX process_repository_hook_token_7616df85_like ON process_repository (hook_token varchar_pattern_ops);",
            ],
            state_operations=[
                migrations.AlterField(
                    model_name="repository",
                    name="hook_token",
                    field=models.CharField(max_length=250),
                ),
                migrations.AddConstraint(
                    model_name="repository",
                    constraint=models.UniqueConstraint(
                        models.F("hook_token"),
                        name="unique_repository_hook_token",
                    ),
                ),
            ],
            # This can be removed by manage.py squashmigrations
            elidable=True,
        ),
        # Remove the implicit LIKE index on Farm.seed and make the unique constraint explicit
        # We do the dropping and renaming ourselves, instead of letting Django unnecessarily drop and re-create the constraint.
        migrations.RunSQL(
            [
                "DROP INDEX process_repository_url_df3b137b_like;",
                "ALTER TABLE process_repository RENAME CONSTRAINT process_repository_url_key TO unique_repository_url;",
            ],
            reverse_sql=[
                "ALTER TABLE process_repository RENAME CONSTRAINT unique_repository_url TO process_repository_url_key;",
                "CREATE INDEX process_repository_url_df3b137b_like ON process_repository (url varchar_pattern_ops);",
            ],
            state_operations=[
                migrations.AlterField(
                    model_name="repository",
                    name="url",
                    field=models.URLField(),
                ),
                migrations.AddConstraint(
                    model_name="repository",
                    constraint=models.UniqueConstraint(
                        models.F("url"),
                        name="unique_repository_url",
                    ),
                ),
            ],
            # This can be removed by manage.py squashmigrations
            elidable=True,
        ),
        # Remove the implicit LIKE index on Farm.seed and make the unique constraint explicit
        # We do the dropping and renaming ourselves, instead of letting Django unnecessarily drop and re-create the constraint.
        migrations.RunSQL(
            [
                "DROP INDEX process_workertype_slug_07bbd0f1_like;",
                "ALTER TABLE process_workertype RENAME CONSTRAINT process_workertype_slug_key TO unique_workertype_slug;",
            ],
            reverse_sql=[
                "ALTER TABLE process_workertype RENAME CONSTRAINT unique_workertype_slug TO process_workertype_slug_key;",
                "CREATE INDEX process_workertype_slug_07bbd0f1_like ON process_workertype (slug varchar_pattern_ops);",
            ],
            state_operations=[
                migrations.AlterField(
                    model_name="workertype",
                    name="slug",
                    field=models.SlugField(
                        db_index=False,
                        max_length=100,
                    ),
                ),
                migrations.AddConstraint(
                    model_name="workertype",
                    constraint=models.UniqueConstraint(
                        models.F("slug"),
                        name="unique_workertype_slug",
                    ),
                ),
            ],
            # This can be removed by manage.py squashmigrations
            elidable=True,
        ),
    ]
